package org.dromara.zhishu.service;

import org.dromara.zhishu.domain.vo.TBookAuditVo;
import org.dromara.zhishu.domain.bo.TBookAuditBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 图书审核管理Service接口
 *
 * @author Lion Li
 * @date 2025-04-18
 */
public interface ITBookAuditService {

    /**
     * 查询图书审核管理
     *
     * @param id 主键
     * @return 图书审核管理
     */
    TBookAuditVo queryById(Long id);

    /**
     * 分页查询图书审核管理列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 图书审核管理分页列表
     */
    TableDataInfo<TBookAuditVo> queryPageList(TBookAuditBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的图书审核管理列表
     *
     * @param bo 查询条件
     * @return 图书审核管理列表
     */
    List<TBookAuditVo> queryList(TBookAuditBo bo);

    /**
     * 新增图书审核管理
     *
     * @param bo 图书审核管理
     * @return 是否新增成功
     */
    Boolean insertByBo(TBookAuditBo bo);

    /**
     * 修改图书审核管理
     *
     * @param bo 图书审核管理
     * @return 是否修改成功
     */
    Boolean updateByBo(TBookAuditBo bo);

    /**
     * 校验并批量删除图书审核管理信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean updateStatus(TBookAuditBo bo);
}
